Subject: Re: [6lo] Call for feedback to draft-wachter-6lo-can-00

From: Alexander Wachter <[email-masked]>
Date: Sun, 20 Oct 2019 18:21:29 +0200

Dear Carles,

On 20.10.19 17:54, Carles Gomez Montenegro wrote:
> Dear Alexander,
> 
>> Dear Carles,
>>
>>
>> On 20.10.19 15:37, Carles Gomez Montenegro wrote:
>>> Dear Alexander,
>>>
>>> Thanks for your responses.
>>>
>>> To some extent, I see similarities between the environment you are
>>> considering (CAN) and MS/TP. Few years ago, the 6Lo WG produced RFC
>>> 8163,
>>> which specifies IPv6 over MS/TP.
>>
>> The main difference I see between CAN and MS/TP is the packet/frame
>> size. MS/TP satisfies the minimal requirements of 1500 octets minimal
>> MTU where CAN only has 8 octets of payload per frame. 6LoCAN therefore
>> defines a fragmentation an reassembly.
> 
> Your draft proposes using a subset of ISO-TP for fragmentation and
> reassembly.
> 
> Clarifying question: is ISO-TP part of the CAN protocol (stack)?

The CAN specification does only define the data-link-layer. ISO-TP is an 
ISO-Standard (ISO 15765-2:2016). It defines a transport protocol and 
network layer services. 6LoCAN uses the fragmentation/reassembly and 
flow-control mechanism defined in this standard. Flow-control is only 
applied on unicast packets.

>>> I understand that using header compression reduces the amount of IPv6
>>> packets that will require fragmentation. Also, it provides a more
>>> efficient use of the bus. Interesting!
>>
>> IPHC helps to reduce the number of frames needed to send an IPv6 packet.
>> Nevertheless, sending an IPv6 packet in a single frame is only possible
>> for CAN-FD (up to 64 bytes payload). Classical CAN always needs
>> fragmentation and reassembly.
> 
> I see. Anyway, there is the need to comply with the 1280-byte IPv6 MTU
> requirement, but it is already satisfied in your draft.
> 
>> In my opinion, 6LoCAN is the right WG because it defines a
>> "6lo-adaption-layer". It specifies a fragmentation and reassembly as
>> other 6lo technologies do.
> 
> I actually mentioned MS/TP and the (6Lo-produced) RFC 8163 to emphasize
> the potential similarities with CAN (and 6LoCAN), since the 6Lo WG has
> also dealt with technologies with somewhat different characteristics (e.g.
> wireless, mesh topologies, energy-constrained devices, etc.).

[1] https://en.wikipedia.org/wiki/ISO_15765-2

-- 
Alexander Wachter, BSc

Student of Information and Computer Engineering
Graz University of Technology